%global modname pydicom

Name:           python3-%{modname}
Version:        1.4.1
Release:        %mkrel 1
Summary:        Read, modify and write DICOM files with python code
License:        MIT and BSD
URL:	https://github.com/pydicom/pydicom/
Group:          Development/Python
Source0:	https://github.com/pydicom/pydicom/%{modname}-%{version}.tar.xz
      
BuildRequires:  git

%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel python3-setuptools python3-six
BuildRequires:  python3-sphinx python3-sphinx_rtd_theme python3-numpy-devel
# Test deps
BuildRequires:  python3-numpy python3-dateutil
#python-pytest
Requires:       python3-dateutil
Recommends:     python3-numpy
Recommends:     python3-matplotlib
Recommends:     python3-tkinter
Recommends:     python3-pillow


%description -n python3-%{modname}
pydicom is a pure python package for working with DICOM files. It was made for
inspecting and modifying DICOM data in an easy "pythonic" way. The
modifications can be written again to a new file.

pydicom is not a DICOM server, and is not primarily about viewing images. It is
designed to let you manipulate data elements in DICOM files with python code.

Limitations -- the main limitation of the current version is that compressed
pixel data (e.g. JPEG) cannot be altered in an intelligent way as it can for
uncompressed pixels. Files can always be read and saved, but compressed pixel
data cannot easily be modified.

Python 3 version.

%prep
%setup -qn %{modname}-%{version}  

%build
%py3_build

%install
%py3_install

%files -n python3-%{modname}
%doc LICENSE
%{python3_sitelib}/%{modname}*
%{python3_sitelib}/dicom.py
%{python3_sitelib}/%{modname}-%{version}-py3.6.egg-info/*


%changelog
* Sat Jan 25 2020 onkelho <oh.quait at gmail.com> - 1.4.1-1pclos2020
- imported
